Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IStepFilters

public interface IStepFilters

Support for step filters for a debug target. A debug target that supports step filters should implement this interface. Step filters can be toggled on/off for a debug target via this interface. When a step method is called (see `IStep`), the step implementation must respect the state of the step filters as defined by this interface. This allows step filters to be toggled on/off for all stepping operations (in, over, return).

Step filter management is debug model specific - this interface is used only to turn them on/off.

In 2.1, the `IFilteredStep` interface was used to implement step filtering. The `IFilteredStep` interface is now deprecated, and this inteface should be used in its place to allow filters to be applied to any step function.

Clients may implement this interface. Debug targets that support step filters should implement this interface.

Since:
  3.0
See Also:
  `IStep`

Method Summary
`boolean` | `isStepFiltersEnabled()` Returns whether step filters are currently enabled in this debug target.
`void` | `setStepFiltersEnabled(boolean enabled)` Sets whether step filters are enabled in this debug target.
`boolean` | `supportsStepFilters()` Returns whether this debug target supports step filters.

Method Detail

### supportsStepFilters

    public boolean supportsStepFilters()

  Returns whether this debug target supports step filters.

  Returns:
    whether this debug target supports step filters

### isStepFiltersEnabled

    public boolean isStepFiltersEnabled()

  Returns whether step filters are currently enabled in this debug target.

  Returns:
    whether step filters are currently enabled in this debug target

### setStepFiltersEnabled

    public void setStepFiltersEnabled(boolean enabled)

  Sets whether step filters are enabled in this debug target.

  Parameters:
    `enabled` - whether step filters are enabled in this debug target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.